.\" DAL DaGetRegAccessRights(3) manpage
.\"
.\"
.\" +============================================+
.\" |  Author:          Yury Georgievskiy, CERN  |
.\" |  Creation date:   08.05.2007               |
.\" +============================================+
.\"
.\"
.TH DAGETREGACCESSRIGHTS "3" "May 2007" "Driver Access Library" "DAL User's Manual"
.SH NAME
DaGetRegAccessRights \- get register access rights
.SH SYNOPSIS
.B ARIGHTS DaGetRegAccessRights(HANDLE \fIhandle\fB, int \fIrId\fB);
.SH DESCRIPTION
The \fIDaGetRegAccessRights()\fR function gets register access rights. Return value appropriate bits (i.e. bit0, bit1, bit2) either set or not. \fILogical &\fR can be used to check if fit bits are set or no. One should check if fit bits are set to find out the register access rights.
.TP
.I handle
- is a library handle, returned by \fBDaEnableAccess()\fR call.
.TP
.I rId
- is register ID that should be examine. ID of each Module register can be
found in \fI<ModuleName>RegId.h\fR file, which is located
in a standart include directory of a given Module:
\fI/ps/local/$(CPU)/drvrutil/include/<ModuleName>include\fR.
.P
.TP
Register access mode is defined as follows:
.ft B
typedef enum tagARIGHTS {
  AMRD = 2, /* register can be read */
  AMWR = 1, /* register can be write */
  AMEX = 4  /* extraneous register (can be read and write) */
.br
} ARIGHTS;
.SH EXAMPLES
.TP
.B if (DaGetRegAccessRights(handle, rId) & AMRD)
.B printf("Register can be read.");

.SH RETURN VALUE
.TP
.B Register access rights
- if OK
.TP
.B -DA_ERR_BAD_HANDLE
- provided \fIhandle\fR is bad
.TP
.B -DA_ERR_NO_REG
- no such register
.TP
.B -DA_ERR_NOT_INIT
- library was not initialized, i.e. \fIDaEnableAccess()\fR was not called
.SH NOTE
Check if proper bits are set to find out the current access mode.
.SH AUTHOR
Written by Yury Georgievskiy <ygeorgie@gmail.com>
.SH SEE ALSO
.BR driverGen (8),
.BR modinst (8),
.BR moduninst (8),
.BR dal (3),
.BR DaEnableAccess (3),
.BR DaDisableAccess (3),
.BR DaSetDefAM (3),
.BR DaGetDefAM (3),
.BR DaGetNodeFd (3),
.BR DaGetRegister (3),
.BR DaGetRegChunk (3),
.BR DaSetRegister (3),
.BR DaSetRegChunk (3),
.BR DaGetRegDepth (3),
.BR DaGetRegSize (3),
.BR DaGetRegRep (3),
.BR DaSetRegRep (3),
.BR DaGetRegName (3),
.BR DaDrvrVers (3),
.BR DaLibVers (3),
.BR DaDbgFlag (3),
.BR DaGetErrCode (3),
.BR DaUserEntryPoint (3)
